<mat-sidenav-container class="maarch-container" autosize>
    <mat-sidenav #snavLeft *ngIf="!headerService.hideSideBar" class="panel-left" [mode]="appService.getViewMode() ? 'over' : 'side'"
        [fixedInViewport]="appService.getViewMode()" [opened]="appService.getViewMode() ? false : true"
        autoFocus="false" style="overflow-x:hidden;" [class.sideBarForm]="headerService.sideBarForm && !appService.getViewMode()" [class.sideBarFormMobile]="appService.getViewMode() && headerService.sideBarForm" [ngStyle]="{'width': appService.getViewMode() ? '80%' : '350px'}">
        <header-panel *ngIf="headerService.showhHeaderPanel"></header-panel>
        <menu-shortcut *ngIf="headerService.showMenuShortcut"></menu-shortcut>
        <menu-nav *ngIf="headerService.showMenuShortcut"></menu-nav>
        <ng-container *ngIf="!headerService.sideBarAdmin">
            <basket-home #basketHome></basket-home>
            <mat-divider></mat-divider>
            <panel-folder #panelFolder></panel-folder>
        </ng-container>
        <div id="adminMenu" style="display: contents;"></div>
    </mat-sidenav>
    <mat-sidenav-content>
        <router-outlet></router-outlet>
    </mat-sidenav-content>
</mat-sidenav-container>